For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
              • POSTCreate Carrier Connection
              • PUTUpdate Carrier Connection
              • DELDelete Carrier Connection
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementShippingV2Shipping Carrier

Update Carrier Connection

PUT
https://api.bigcommerce.com/stores/:store_hash/v2/shipping/carrier/connection
PUT
/stores/:store_hash/v2/shipping/carrier/connection
$curl -X PUT https://api.bigcommerce.com/stores/store_hash/v2/shipping/carrier/connection \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "carrier_id": "endicia",
> "connection": {
> "account_id": "yourEndiciaAccountId",
> "pass_phrase": "yourEndiciaPassphrase"
> }
>}'

Updates a Carrier Connection.

Updating the carrier connection is done using the same information as creating the connection. This endpoint can be used to update credentials.

Was this page helpful?
Previous

Create Carrier Connection

Next

Delete Carrier Connection

Built with

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Information & Settingsmodifystore_v2_information
Information & Settingsread-onlystore_v2_information_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

The request body will vary by carrier. See Create a Carrier Connection.

carrier_idstringOptional
connectionobjectOptional

The connection object varies by carrier.

Response

Returns if request was successful.

Errors

400
Bad Request Error